This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 294861 - X display resolution is set to 800x600
X display resolution is set to 800x600
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 11:12 EDT by Pavel Rosenboim
Modified: 2008-02-12 10:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 10:28:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
X log (36.21 KB, text/plain)
2007-10-03 12:55 EDT, Pavel Rosenboim
no flags Details

  None (edit)
Description Pavel Rosenboim 2007-09-18 11:12:24 EDT
Description of problem:
X display resolution is set to 800x600 instead of native (for my LCD display)
1280x1024.

During graphical boot, the resolution is correct, but login screen is displayed
in 800x600 mode. Sometimes, killing X server causes it to restart in correct mode.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-9.fc7


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
	Option	    "XkbVariant" "intl"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	ModelName    "LCD Panel 1280x1024"
	HorizSync    31.5 - 67.0
	VertRefresh  50.0 - 75.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "nv"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection
Comment 1 Adam Jackson 2007-09-27 16:26:54 EDT
Can you attach the X log from starting in 800x600 please?
Comment 2 Pavel Rosenboim 2007-10-03 12:55:08 EDT
Created attachment 214821 [details]
X log
Comment 3 Adam Jackson 2007-10-04 10:54:03 EDT
Are you starting X with an external monitor attached?  The nv driver isn't
capable of multihead, and will get confused if you try.
Comment 4 Pavel Rosenboim 2007-10-04 13:46:14 EDT
No. Just one monitor.
Comment 5 Dave Airlie 2007-10-10 21:06:41 EDT
have you plugged in both DVI and VGA cables into the card?

for some reason it is detecting a crt connected..
Comment 6 Pavel Rosenboim 2007-10-11 02:36:01 EDT
No. Monitor is always connected with VGA cable. I never tried DVI connection.
Comment 7 Adam Jackson 2007-10-11 11:42:41 EDT
Oh, I get it.  It really is connected analog, it's just that the monitor is
lying and claiming a digital connection.

The driver almost gets this case right.  It does notice when there's a mismatch
between the analog connector detection and the DDC info, but what it does in
that case is just throws the DDC info away, hence the 800x600 limit.
Comment 8 Adam Jackson 2007-10-11 11:52:42 EDT
Try this scratch build:

http://koji.fedoraproject.org/scratch/ajax/task_191425/
Comment 9 Pavel Rosenboim 2007-10-16 02:56:37 EDT
So far, it works.
Comment 10 Adam Jackson 2008-02-12 10:28:24 EST
Yikes, old bug.  Lost the original patch for this, but think I rewrote it correctly.

Built as nv 2.1.6-8.fc9, closing.

Note You need to log in before you can comment on or make changes to this bug.